Subject: Re: [PATCH v4 2/2] parse-options.c: add style checks for usage-strings

From: Junio C Hamano <[email-masked]>
Date: Thu, 03 Mar 2022 14:30:20 -0800

Abhradeep Chakraborty <[email-masked]> writes:

> Johannes Schindelin <[email-masked]> wrote:
>
>> And since Abhradeep is a new contributor, I found it important to steer
>> the direction toward sound advice that they can use over and over again
>> over the course of their career: whenever possible, prefer static checks
>> over runtime ones.
>
> Thanks Johannes for the advice. I will always remember it ^^

Yup, if we can have static and dynamic checks of the same quality,
static checks are always better alternative.  In this case, runtime
check would probably be an expedite solution suitable for a shorter
term to fill the gap, as a static check with the same quality as it
would probably need some time to develop.

> Since Junio and you both have an interest in Coccinelle, if you allow,
> I want to look into it.

I do not have any particular interest.  If it is a tool fit for the
task, it would be good to use it, that's all ;-)